Subject: Re: [bug#50960] [PATCH 00/10] Add 'guix shell' to subsume 'guix environment'

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 Oct 2021 14:23:50 +0200

zimoun <[email-masked]> skribis:

> On Mon, 04 Oct 2021 at 10:39, Ludovic Courtès <[email-masked]> wrote:

[...]

>> As discussed in <https://issues.guix.gnu.org/38529#17>, removal is an
>> issue because of existing scripts but also because of learning material
>> around: MOOCs, articles, tutorials, etc.  These won’t be updated
>> overnight, and we owe our users stability.
>
> For sure, I agree «we owe our users stability».  That’s I translate into
> «the real issue is to let people knowing such change». :-)

No no.  The problem is that there *will* be material out there
explaining Guix in terms of ‘guix environment’, people *will* stumble on
it, and it’s important to keep it working long enough so people can
update their material.

Ludo’.